#### Description:

This function associated a new key with an existing entry in a KeyMap. It returns without action if the oldkey does not exist in the KeyMap.

#### Synopsis

void astMapRename( AstKeyMap ∗this, const char ∗oldkey, const char ∗newkey )

#### Parameters:

##### this

Pointer to the KeyMap.

##### oldkey

The character string identifying the entry to be renamed. Trailing spaces are ignored. The supplied string is converted to upper case before use if the KeyCase attribute is currently set to zero.

##### newkey

The new character string to associated with the renamed entry. Trailing spaces are ignored. The supplied string is converted to upper case before use if the KeyCase attribute is currently set to zero.
Copyright (C) 2021 East Asian Observatory